nre_departure_board_text_content_block:
  label: Content
  namespace: Organisms/TM - LDB/Departure board with text
  use: '@organisms/tm-ldb/nre-departure-board/nre-departure-board-content.html.twig'
  description: Content
  libraries:
    - nre_departure_board_text_content_block_lib:
        css:
          component:
            ../styles/nre-departure-board.css:
              weight: 10
  fields:
    content_data:
      type: object
      label: Departures data
      preview:
        deps_1:
          platform: '-'
          departs: 17:00
          expected: On time
          operator: Northern
        deps_2:
          platform: '7'
          departs: 17:00
          expected: Cancelled
          operator: Northern
    origin_data:
      type: object
      label: Origin data
      preview:
        name: Cambridge
        url: '#'
    destination_data:
      type: object
      label: Destination data
      preview:
        name: Norwich
        url: ''
    change_stations:
      type: object
      label: Change stations
      preview:
        - name: Norwich
          url: ''
        - name: Cambridge
          url: '#'
        - name: London Liverpool Street
          url: '#'
    origin_crs:
      type: text
      label: Origin CRS
      preview: NRW
    destination_crs:
      type: text
      label: Destination CRS
      preview: CBG
